Subject: RE: bug#12373: 24.1; cperl-mode syntax highlighting

From: Stefan Gottschalk <[email-masked]>
Date: Wed, 31 Oct 2012 04:24:07 -0700

Hi, Stefan.  

Thanks for looking at this.
I tried your repro - and it works fine for me too.

My apologies!  
I will work up a better repro - or be happy that I can't make it happen!

-stefan

-----Original Message-----
From: Stefan Monnier [mailto:[email-masked]] 
Sent: Tuesday, October 30, 2012 10:03 PM
To: Stefan Gottschalk
Cc: [email-masked]
Subject: Re: bug#12373: 24.1; cperl-mode syntax highlighting

> Here's a real world sample input

>             $fileType_filesButNot = join( '|', map { quotemeta($_).'$' 
> } @{$fileType->{filesButNot}} );

Hmm... handling of $' in Perl is tricky, so I wouldn't be surprised if it still has bugs, but when I try a Perl file (using cperl-mode) with just the above line in it, it is displayed correctly both by Emacs-23 and Emacs-24.  Here's the command I used to test:

 % emacs24 -Q --eval "(defalias 'cperl-mode 'perl-mode)" test/indent/perl.perl

And here's the perl.perl file:

   #!/usr/bin/perl

   $fileType_filesButNot           # bug#12373
       = join( '|', map { quotemeta($_).'$' } @{$fileType->{filesButNot}} );

Using `perl-mode' instead of `cperl-mode' also seems to work fine.
Can you send us another test case that exhibits the problem?

        Stefan